Package org.apache.sling.testing.mock.osgi.testsvc.osgicontextimpl

# Class MyComponent

java.lang.Object
org.apache.sling.testing.mock.osgi.testsvc.osgicontextimpl.MyComponent

All Implemented Interfaces:
  `MyService`

public class MyComponent extends Object implements MyService

## Constructor Summary

Constructors
Constructor
Description
`MyComponent()`

## Method Summary

Modifier and Type
Method
Description
`String`
`foo()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MyComponent

public MyComponent()

## Method Details

### foo

public String foo()

Specified by:
  `foo` in interface `MyService`